unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  frxClass, StdCtrls,frxXMLSerializer, frxExportBaseDialog, frxExportPDF, frxRich, frxUtils,
  frxTableObject, ColorButton, frxDesgn, frxXML, frxExportXML;


type
  TForm1 = class(TForm)
    SelectLabel: TLabel;
    EditNameFile: TEdit;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    frxReport1: TfrxReport;
    frxPDFExport1: TfrxPDFExport;
    ClrBtnSerach: TColorButton;
    ClrBtnCreate: TColorButton;
    ColorButton1: TColorButton;
    frxReport2: TfrxReport;
    frxDesigner1: TfrxDesigner;
    frxPDFExport2: TfrxPDFExport;
    Label1: TLabel;
    procedure ClrBtnCreateClick(Sender: TObject);
    procedure ClrBtnSerachClick(Sender: TObject);
    procedure ColorButton1Click(Sender: TObject);
    procedure frxReport2GetCustomData(XMLItem: TfrxXMLItem);
    procedure frxReport2SaveCustomData(XMLItem: TfrxXMLItem);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  frxExportPDFHelpers;

{$R *.DFM}

procedure TForm1.ClrBtnCreateClick(Sender: TObject);
begin
  if not FileExists(EditNameFile.Text) then
    frxErrorMsg('File does not exist!')
  else if not FileExists('Invoice.fr3') then
    frxErrorMsg('Report file does not exist!')
  else if SaveDialog1.Execute then
  begin

    frxPDFExport1.PDFStandard := psPDFA_3a;
    frxPDFExport1.OpenAfterExport := True;

    frxPDFExport1.FileName := SaveDialog1.FileName;
    frxPDFExport1.ShowDialog := False;

    frxReport1.LoadFromFile('Invoice.fr3');
    frxReport1.PrepareReport;
    frxReport1.Export(frxPDFExport1);
  end;
end;

procedure TForm1.ClrBtnSerachClick(Sender: TObject);
begin
  OpenDialog1.FileName := EditNameFile.Text;
  if OpenDialog1.Execute then EditNameFile.Text :=  OpenDialog1.FileName;

end;

procedure TForm1.ColorButton1Click(Sender: TObject);
begin
  frxReport2.DesignReport();
end;



procedure TForm1.frxReport2GetCustomData(XMLItem: TfrxXMLItem);
var
  ss: TfrxXMLSerializer;
begin
  // load saved PDF filter settings from report file
  ss := TfrxXMLSerializer.Create(nil);
  ss.Owner := frxReport2;
  if(XMLItem.Count > 0) then
  begin
    XMLItem := XMLItem.Items[0];
    if AnsiCompareText(XMLItem.Name, 'PDFExport') = 0 then
      ss.XMLToObj(XMLItem.Text, frxPDFExport2);
  end;
end;

procedure TForm1.frxReport2SaveCustomData(XMLItem: TfrxXMLItem);
var
  ss: TfrxXMLSerializer;
begin
  // serialize and save PDF filter settings to report file
  ss := TfrxXMLSerializer.Create(nil);
  ss.Owner := frxReport2;
  XMLItem := XMLItem.Add;
  XMLItem.Name := 'PDFExport';
  XMLItem.Text := ss.ObjToXML(frxPDFExport1);
end;




end.
